package dst.net.droid;

import java.util.List;
import java.util.Map;

import dst.net.jsonObj.EmployeeImage;

public class EmployeeData {

	public int Root;
	public Map<Integer, EmployeeImage> MapNodes;
	public List<EmployeeImage> Nodes;
	
	public EmployeeData()
	{

	}
	
	public EmployeeImage GetEmployee(int employee)
	{
		EmployeeImage art = MapNodes.get(employee);
		
		if (art!= null)
			return art;
		else
			return null;
	}
	
	public EmployeeImage GetEmployeeByPosition(int position)
	{
		try
		{
			EmployeeImage art = Nodes.get(position);
		
			if (art!= null)
				return art;
			else
				return null;
		}
		catch(Exception ex)
		{
			return null;	
		
		}
	}
	
	public byte [] GetImage(int position)
	{
		EmployeeImage it = Nodes.get(position);
		
		if (it!= null)
		{
			return Employee.GetImage(it.Number);
		}
		else
			return null;
		
	}
	
	public byte [] GetImageByNumber(int position)
	{
		EmployeeImage it = MapNodes.get((Object)position);
		
		if (it!= null)
		{
			return Employee.GetImage(it.Number);
		}
		else
			return null;
	}


}
